# superset-plugin-echart-heatmap

This is the Superset Plugin Echart Heatmap Superset Chart Plugin.

### Usage

To add the package to Superset, go to the `superset-frontend` subdirectory in your Superset source folder (assuming both the `superset-plugin-echart-heatmap` plugin and `superset` repos are in the same root directory) and run

```
npm i echarts
npm i -S superset-plugin-echart-heatmap
```

After this edit the `superset-frontend/src/visualizations/presets/MainPreset.js` and make the following changes:

```js
import { SupersetPluginEchartHeatmap } from "superset-plugin-echart-heatmap";
```

to import the plugin and later add the following to the array that's passed to the `plugins` property:

```js
new SupersetPluginEchartHeatmap().configure({
    key: 'superset-plugin-echart-heatmap',
    }),
```

After that the plugin should show up when you run Superset, e.g. the development server:

```
npm run dev-server
```
